# Databricks notebook source
# MAGIC %md ## MLflow Migration - Single Notebooks
# MAGIC
# MAGIC Export and import one MLflow object.
# MAGIC
# MAGIC **Notebooks**
# MAGIC * Run
# MAGIC   * [Export_Run]($./Export_Run) - export a run in its entirety (run.info, run.data and artifacts).
# MAGIC   * [Import_Run]($./Import_Run)
# MAGIC * Experiment
# MAGIC   * [Export_Experiment]($./Export_Experiment) - export an experiment and its runs (run.info, run.data and artifacts).
# MAGIC   * [Import_Experiment]($./Import_Experiment)
# MAGIC * Registered Model
# MAGIC   * [Export_Registered_Model]($./Export_Registered_Model) - export a registered model, its versions and their runs.
# MAGIC   * [Import_Registered_Model]($./Import_Registered_Model)
# MAGIC * Model Version
# MAGIC   * [Export_Model_Version]($./Export_Model_Version) - export a model version and its run.
# MAGIC   * [Import_Model_Version]($./Import_Model_Version) - import a model version.
# MAGIC * [Common]($./Common) - helper utility methods.
# MAGIC
# MAGIC **More information**
# MAGIC
# MAGIC * [Console_Scripts_Single]($../console_scripts/Console_Scripts_Single) to execute scripts from shell (%sh).
# MAGIC * [github.com/mlflow/mlflow-export-import/blob/master/README_single.md](https://github.com/mlflow-oidc/mlflow-migration/blob/master/README_single.md).

# COMMAND ----------

# MAGIC %md ##### Last updated: _2024-07-21_
